extern char at_least_one_object_file;
int gGetFileInfo(char* xFileName, long xTimeStamp, int* xFileOffsetPtr, int* xFileSizePtr, int xCheckInPkgSimFiles)
{
  int j, lNumOfScsFiles, lNumOfPkgSimFiles;
  typedef struct {
    char* dFileName;
    int dFileOffset;
    int dFileSize;
    int dFileModTime;
  } lFileInfoStruct;

  typedef struct {
    char* dFileName;
  } lPkgFileInfoStruct;

  static lFileInfoStruct lFInfoArr[] = {
  {"synopsys_sim.setup_0", 20988, 74, 1163485150},
  {"synopsys_sim.setup_1", 21062, 9212, 1102075661},
  {"/home/y05/j05002/vhdl/work/CFG_FFT64.sim", 0, 20988, 0},
  {"/home/y05/j05002/vhdl/work/CFG_FFT64.sim", 30274, 20988, 0},
  {"packages/IEEE/lib/STD_LOGIC_TEXTIO__.sim", 51262, 176593, 0},
  {"packages/IEEE/lib/STD_LOGIC_TEXTIO.sim", 227855, 28590, 0},
  {"/home/y05/j05002/vhdl/work/TESTBENCH_FFT64__SIM_DATA.sim", 256445, 24616, 0},
  {"/home/y05/j05002/vhdl/work/TESTBENCH_FFT64.sim", 281061, 3749, 0},
  {"/home/y05/j05002/vhdl/work/FFT64.sim", 284810, 6535, 0},
  {"/home/y05/j05002/vhdl/work/FFT64__RTL.sim", 291345, 48045, 0},
  {"/home/y05/j05002/vhdl/work/STAGE1.sim", 339390, 6540, 0},
  {"/home/y05/j05002/vhdl/work/STAGE1__RTL.sim", 345930, 68483, 0},
  {"/home/y05/j05002/vhdl/work/STAGE2.sim", 414413, 6540, 0},
  {"/home/y05/j05002/vhdl/work/STAGE2__RTL.sim", 420953, 68418, 0},
  {"/home/y05/j05002/vhdl/work/STAGE3.sim", 489371, 6540, 0},
  {"/home/y05/j05002/vhdl/work/STAGE3__RTL.sim", 495911, 63670, 0},
  {"/home/y05/j05002/vhdl/work/REORDER.sim", 559581, 6545, 0},
  {"/home/y05/j05002/vhdl/work/REORDER__RTL.sim", 566126, 63664, 0},
  {"/home/y05/j05002/vhdl/work/TWIDDLE.sim", 629790, 5120, 0},
  {"/home/y05/j05002/vhdl/work/TWIDDLE__RTL.sim", 634910, 36926, 0},
  {"/home/y05/j05002/vhdl/work/CMULT.sim", 671836, 6684, 0},
  {"/home/y05/j05002/vhdl/work/CMULT__RTL.sim", 678520, 16383, 0},
  {"/home/y05/j05002/vhdl/work/MULTAR.sim", 694903, 5117, 0},
  {"/home/y05/j05002/vhdl/work/MULTAR__RTL.sim", 700020, 8397, 0},
  {"/home/y05/j05002/vhdl/work/TESTBENCH_FFT64.sim", 708417, 3749, 0},

  };
  static lPkgFileInfoStruct lPkgFileInfoArr[] = {
  {"packages/IEEE/lib/STD_LOGIC_TEXTIO__.sim"},

  };
  static int i = 0;
  static int k = 0;
at_least_one_object_file = 1;
  lNumOfScsFiles = 25;
  lNumOfPkgSimFiles = 1;
  if (xCheckInPkgSimFiles)
  {
     for (j = 0; j < lNumOfPkgSimFiles; j++)
     {
       char* lFName;
       lFName = lPkgFileInfoArr[k].dFileName;
       if (strcmp(lFName, xFileName) == 0)
           return 0;
       k = (k + 1) % lNumOfPkgSimFiles;
     }
     return 1;
  }
  for (j = 0; j < lNumOfScsFiles; j++)
  {
    char* lFName;
    long lTimeStamp;
    lFName = lFInfoArr[i].dFileName;
    if (strcmp(lFName, xFileName))
    {
      i = (i + 1) % lNumOfScsFiles;
      continue;
    }
    *xFileSizePtr = lFInfoArr[i].dFileSize;
    *xFileOffsetPtr = lFInfoArr[i].dFileOffset;
    i = (i + 1) % lNumOfScsFiles;
    return 0;
  }
  return 1;
}
